--- old/usr/src/cmd/getent/getent.c	Mon Mar 17 20:31:14 2014
+++ new/usr/src/cmd/getent/getent.c	Mon Mar 17 20:31:14 2014
@@ -20,12 +20,11 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright (c) 2014 Gary Mills
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
@@ -42,6 +41,7 @@
 
 static struct table t[] = {
 	{ "passwd",	dogetpw },
+	{ "shadow",	dogetsp },
 	{ "group",	dogetgr },
 	{ "hosts",	dogethost },
 	{ "ipnodes",	dogetipnodes },
@@ -82,7 +82,7 @@
 			switch (rc) {
 			case EXC_SYNTAX:
 				(void) fprintf(stderr,
-					gettext("Syntax error\n"));
+				    gettext("Syntax error\n"));
 				break;
 			case EXC_ENUM_NOT_SUPPORTED:
 				(void) fprintf(stderr,
